#------------------------------------------
# Local Machine Settings
#------------------------------------------
import .SciTE/machine

source.files=*.asm;*.c;*.cc;*.cpp;*.cxx;\
*.h;*.hh;*.hxx;*.hpp;\
*.cs;\
*.idl;*.odl;*.rc;*.rc2;*.dlg;*.def;\
*.vb;*.vbs;*.bas;*.frm;*.cls;*.ctl;\
*.java;*.js;*.py;*.pl;*.rb;*.cgi;*.lua;*.conf;\
make*;*.mak;\
*.properties;*.html;*.xml;*.iface;*.bat;*.e;\
Makefile;\
*.log;

#------------------------------------------
# File behaviour
#------------------------------------------
quit.on.close.last=0

save.all.for.build=1
save.on.deactivate=1
are.you.sure.on.reload=1
reload.preserves.undo=1
check.if.already.open=1

save.recent=1
save.session=1

# don't limit to 10 buffers
buffers=1000

# use directory options
properties.directory.enable=1

# use UTF-8
code.page=65001
output.code.page=65001

#------------------------------------------
# Base font
#------------------------------------------
output.font=font:!Inconsolata,size:12
output.magnification=0
magnification=0

font.base=font:!Inconsolata,size:10
font.small=font:!Inconsolata,size:8
font.comment=font:!Inconsolata,size:10
font.code.comment.box=$(font.comment)
font.code.comment.line=$(font.comment)
font.code.comment.doc=$(font.comment)
font.code.comment.nested=$(font.comment)
font.text=font:!Inconsolata,size:10
font.text.comment=font:!Inconsolata,size:10
font.embedded.base=font:!Inconsolata,size:10
font.embedded.comment=font:!Inconsolata,size:10
font.monospace=font:!Inconsolata,size:10
font.vbs=font:!Inconsolata,size:10
font.js=$(font.comment)

#------------------------------------------
# Margins 
#------------------------------------------
line.margin.visible=1
line.margin.width=6

#------------------------------------------
# Indent 
#------------------------------------------
indent.size=4
tabsize=$(indent.size)
use.tabs=0
use.tabs.Makefile=1

#indent.auto=1
indent.automatic=1
indent.opening=0
indent.closing=0
tab.indents=1
backspace.unindents=1

#------------------------------------------
# Wrapping
#------------------------------------------
wrap=1
wrap.style=1
wrap.visual.flags=3
wrap.visual.startindent=12
cache.layout=3

#------------------------------------------
# Local Language specific styles and APIs
#------------------------------------------
import .SciTE/cpp
import .SciTE/asm
import .SciTE/kin

